> ## Documentation Index
> Fetch the complete documentation index at: https://developers.uqpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Virtual Account Applications

> 按从新到旧的顺序列出当前认证账户的申请。查询子账户时，请在 `x-on-behalf-of` 中传入其账户 ID。

`page_number` 和 `page_size` 必填。可选的 `status`、`country` 和 `currency` 筛选条件会同时生效。没有匹配结果或页码超出范围时，返回 HTTP `200` 和空的 `data` 数组。

此接口返回申请摘要，不返回已开通的银行信息。申请与银行信息的查询流程详见[通过 API 集成虚拟账户](/zh/global-account/v1.6/guide/virtual-account-api-lifecycle)。




## OpenAPI

````yaml /zh/global-account/v1.6/banking.yaml get /v1/virtual/applications
openapi: 3.0.2
info:
  title: Banking API
  version: 0.0.1
  x-source-en-commit: c7d2fd6
  x-source-en-path: global-account/v1.6/banking.yaml
  description: |
    UQPAY Banking API 为全球资金流转提供完整的银行与支付解决方案。

    ## 核心功能
    - 国际支付与转账
    - 多币种账户管理
    - 实时换汇
    - 虚拟账户服务
    - 资金充值与提现

    ## 认证
    调用 UQPAY API 时，使用 API 密钥对客户端请求进行认证。
    API 密钥是用于认证用户身份、授予特权操作访问权限的唯一数据字符串。
    请始终对 API 密钥保密并妥善保管。

    ## 服务组件
    - **Payout**：创建并管理向受益人发起的国际资金转账
    - **Payer**：管理发起付款并授权资金转账的实体
    - **Beneficiary**：管理收款方信息与银行信息
    - **Balance**：查看并管理多币种账户余额
    - **Deposit**：处理入账资金转账
    - **Virtual Accounts**：使用外币本地银行账户
    - **Conversion**：以有竞争力的汇率执行换汇

    ## 快速开始
    1. 获取 API 凭证
    2. 使用 sandbox URL 搭建测试环境
    3. 接入认证
    4. 从基础操作开始

    ## 支持
    如需技术支持与集成协助，请联系 UQPAY 支持团队。
  contact:
    name: UQPAY Support
    url: https://www.uqpay.com/support
    email: banking.tech@uqpay.com
  license:
    name: Proprietary
    url: https://www.uqpay.com/legal/api-terms
  termsOfService: https://www.uqpay.com/legal/terms
  x-api-id: banking-api-v1.6.0
  x-logo:
    url: https://uqpay.com/img/UQPAY_LogoAnimv2.gif
    backgroundColor: '#FFFFFF'
    altText: UQPAY Logo
  x-categories:
    - Banking
    - Payment Processing
    - Foreign Exchange
servers:
  - url: https://api-sandbox.uqpaytech.com/api
    description: Sandbox 基础 URL。
  - url: https://api.uqpay.com/api
    description: 生产环境基础 URL。
security: []
tags:
  - name: Balances
    description: 查看并管理账户中不同币种的可用资金。
  - name: Transfers
    description: 钱包转账资源用于将资金从你的 UQPAY 账户直接转入关联账户。
  - name: Deposits
    description: 充值是指向你的 UQPAY 全球收款账户发起的银行转账，用于补充资金或从第三方收款。
  - name: Virtual Accounts
    description: 虚拟账户是以外币形式存在的本地银行账户。它们支持全球收款，提供可从各类平台收款的账户信息。虚拟账户也可用于为 UQPAY 余额充值。
  - name: Payout
    description: >-
      当你向受益人发起付款时会创建一个 Payout
      资源。它记录受益人、银行信息、付款金额、状态及其他相关信息。你可以使用直接填写的受益人信息，或使用先前创建的受益人 ID 来创建 payout。
  - name: Beneficiaries
    description: 受益人是资金的收款方，通常也是最终从 payout 中获益的一方。
  - name: Conversion
    description: 管理交易的换汇与汇率。
  - name: Exchange Rates
    description: 获取指定货币对或全部可用货币对的实时汇率。
  - name: Global Accounts
    description: ⚠️ 警告 此 API 版本已弃用。已弃用的 API 版本最终将不再受支持。全球收款账户是充当本地银行账户的外币账户。
  - name: Simulator
    description: 在 sandbox 环境中模拟充值交易。
paths:
  /v1/virtual/applications:
    get:
      tags:
        - Virtual Accounts
      summary: List Virtual Account Applications
      description: >
        按从新到旧的顺序列出当前认证账户的申请。查询子账户时，请在 `x-on-behalf-of` 中传入其账户 ID。


        `page_number` 和 `page_size` 必填。可选的 `status`、`country` 和 `currency`
        筛选条件会同时生效。没有匹配结果或页码超出范围时，返回 HTTP `200` 和空的 `data` 数组。


        此接口返回申请摘要，不返回已开通的银行信息。申请与银行信息的查询流程详见[通过 API
        集成虚拟账户](/zh/global-account/v1.6/guide/virtual-account-api-lifecycle)。
      operationId: list-virtual-account-applications
      parameters:
        - $ref: '#/components/parameters/XOnBehalfOf'
        - $ref: '#/components/parameters/VirtualAccountApplicationPageNumber'
        - $ref: '#/components/parameters/VirtualAccountApplicationPageSize'
        - $ref: '#/components/parameters/VirtualAccountApplicationStatus'
        - $ref: '#/components/parameters/VirtualAccountApplicationCountry'
        - $ref: '#/components/parameters/VirtualAccountApplicationCurrency'
      responses:
        '200':
          description: OK —— 虚拟账户申请列表返回成功。
          headers:
            x-response-id:
              $ref: '#/components/headers/XResponseId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VirtualAccountApplicationListResponse'
                title: ListVirtualAccountApplicationsResponse
              examples:
                applications:
                  summary: 按从新到旧返回申请
                  value:
                    total_pages: 1
                    total_items: 2
                    data:
                      - account_id: b1b89684-c2c4-4d54-b8a8-3572727fd120
                        application_id: 550e8400-e29b-41d4-a716-446655440011
                        country: BH
                        currency: GBP
                        direct_id: '0'
                        public_version: 2
                        status: COMPLETED
                        created_at: '2026-08-12T06:30:00Z'
                      - account_id: b1b89684-c2c4-4d54-b8a8-3572727fd120
                        application_id: 550e8400-e29b-41d4-a716-446655440012
                        country: BH
                        currency: EUR
                        direct_id: '0'
                        public_version: 1
                        status: SUBMITTED
                        created_at: '2026-08-12T05:59:00Z'
                emptyPage:
                  summary: 没有匹配申请或页码超出范围
                  value:
                    total_pages: 0
                    total_items: 0
                    data: []
        '400':
          description: >-
            Bad Request —— 缺少列表参数或参数无效。List 的参数校验和业务错误响应只包含 `type`、`code` 和
            `message`。
          headers:
            x-response-id:
              $ref: '#/components/headers/XResponseId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VirtualAccountApplicationErrorResponse'
                title: ListVirtualAccountApplicationsError
              examples:
                invalidPagination:
                  summary: 缺少必填分页参数或参数超出允许范围
                  value:
                    type: invalid_request_error
                    code: invalid_parameter
                    message: >-
                      page_number and page_size are required and must be within
                      the allowed range
                invalidStatus:
                  summary: 不支持的申请状态筛选值
                  value:
                    type: invalid_request_error
                    code: invalid_parameter
                    message: >-
                      status must be SUBMITTED, PARTIALLY_COMPLETED, COMPLETED,
                      FAILED, or CLOSED
      security:
        - XAuthToken: []
components:
  parameters:
    XOnBehalfOf:
      in: header
      name: x-on-behalf-of
      schema:
        type: string
      required: false
      description: >
        指定代表哪个子账户发起请求。应设为
        `account_id`，可通过[查询关联账户列表](/zh/account-center/v1.6/api-reference/list-connected-accounts-1)获取。如果省略或留空，请求将使用主账户执行。

        更多信息参见[关联账户](/zh/account-center/v1.6/guide/connected-accounts)。
      example: 18523f72-f4de-4f9c-bb8e-ec7d1c4f32be
    VirtualAccountApplicationPageNumber:
      name: page_number
      in: query
      required: true
      description: 要返回的页码，第一页为 `1`。
      schema:
        type: integer
        minimum: 1
        example: 1
    VirtualAccountApplicationPageSize:
      name: page_size
      in: query
      required: true
      description: 每页最多返回的申请数，取值范围为 `1` 到 `100`。
      schema:
        type: integer
        minimum: 1
        maximum: 100
        example: 50
    VirtualAccountApplicationStatus:
      name: status
      in: query
      required: false
      description: 只返回具有该整体状态的申请。会去除首尾空格，并接受小写输入。
      schema:
        type: string
        enum:
          - SUBMITTED
          - PARTIALLY_COMPLETED
          - COMPLETED
          - FAILED
          - CLOSED
        example: SUBMITTED
    VirtualAccountApplicationCountry:
      name: country
      in: query
      required: false
      description: 只返回该 ISO 3166-1 alpha-2 国家代码对应的申请。会去除首尾空格，并接受小写输入。
      schema:
        type: string
        example: SG
    VirtualAccountApplicationCurrency:
      name: currency
      in: query
      required: false
      description: 只返回该 ISO 4217 币种代码对应的申请。会去除首尾空格，并接受小写输入。
      schema:
        type: string
        example: USD
  headers:
    XResponseId:
      description: 响应的通用唯一标识符（UUID v4）。在与 UQPAY 支持团队沟通时有助于定位某个请求。
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    VirtualAccountApplicationListResponse:
      type: object
      additionalProperties: false
      required:
        - total_pages
        - total_items
        - data
      properties:
        total_pages:
          type: integer
          format: int64
          minimum: 0
          description: 当前筛选条件对应的总页数。没有匹配申请时为 `0`。
          example: 1
        total_items:
          type: integer
          format: int64
          minimum: 0
          description: 所有页面中符合当前筛选条件的申请总数。
          example: 2
        data:
          type: array
          description: 当前页的申请，按从新到旧排列。没有匹配申请或请求页超出范围时为空数组。
          items:
            $ref: '#/components/schemas/VirtualAccountApplicationSummary'
    VirtualAccountApplicationErrorResponse:
      type: object
      additionalProperties: false
      required:
        - type
        - code
        - message
      properties:
        type:
          type: string
          description: 用于分类和日志记录的错误大类。
          example: invalid_request_error
        code:
          type: string
          description: 用于程序处理的稳定错误标识符。
          example: invalid_parameter
        message:
          type: string
          description: 供排查问题使用的可读说明。不要将该文本作为程序判断标识符。
          example: country must be a valid ISO-2 code
    VirtualAccountApplicationSummary:
      type: object
      additionalProperties: false
      required:
        - account_id
        - application_id
        - country
        - currency
        - direct_id
        - public_version
        - created_at
        - status
      properties:
        account_id:
          type: string
          format: uuid
          description: 申请所属账户。使用 `x-on-behalf-of` 时表示该关联账户；否则表示主账户。
          example: b1b89684-c2c4-4d54-b8a8-3572727fd120
        application_id:
          type: string
          format: uuid
          description: 传给 Retrieve Virtual Account Application 的稳定标识符。
          example: 550e8400-e29b-41d4-a716-446655440011
        country:
          type: string
          description: 申请时提交的两位国家代码。
          example: BH
        currency:
          type: string
          description: 申请时提交的三位币种代码。
          example: GBP
        direct_id:
          type: string
          description: 表示 `account_id` 的主账户关系。当 `account_id` 是主账户时为 `"0"`；否则为对应主账户 ID。
          example: '0'
        public_version:
          type: integer
          format: int64
          minimum: 1
          description: 列表中可见的最新申请版本。请查询该申请以获取完整的当前详情。
          example: 2
        status:
          type: string
          enum:
            - SUBMITTED
            - PARTIALLY_COMPLETED
            - COMPLETED
            - FAILED
            - CLOSED
          description: 当前申请的整体状态。在判断哪些收款方式或银行信息可用前，请查询申请详情。
          example: COMPLETED
        created_at:
          type: string
          format: date-time
          description: 申请受理时间，采用 ISO 8601 格式。
          example: '2026-08-12T06:30:00Z'
  securitySchemes:
    XAuthToken:
      type: apiKey
      in: header
      name: x-auth-token
      description: 由 UQPAY 提供的登录 API Token。

````